//----------------------------------------------------------------------
// Titel     : DSP Heimradio SI4735 include file
//----------------------------------------------------------------------
// Dateiname : si4735.h
// Includes  : -
// Hinweis   : si4735.h den source Files hinzuf.
//----------------------------------------------------------------------
// Datum     : 26.04.2014 23:40:33
// Version   : 1.03
// Autor     : Andreas Nestler
// Changes   :
//		v1   : initial version; Si4735 extracted control functions
//      v1.01: some small updates to avoid globals and extern
//      v1.02: code cleanup, globals are moved into globals.h
//      v1.03: cleanup, no other header files nested into this header
//             Vol_Ctrl function added
//----------------------------------------------------------------------

#ifndef __SI4735_H__  /* Header wrapper to avoid multiple inclusion */
#define __SI4735_H__

/*
** constant definitions
*/
#define Dev4735  0x22   // device address of SI4735 see datasheet
						// -> 34d  = 0x11 once left shifted

/*
** type definitions
*/ 
typedef struct RSQStruct {   		/* deklariert den Strukturtyp RSQStruct */
  unsigned char stblend;
  unsigned char rssi;
  unsigned char snr;				
} tRSQ;							    /* name of new created type */

/*
** function prototypes
*/ 
void si4735init(void);
void fm_deemphasis(void);
void fm_max_tune_error(void);
void fm_seek_tune_snr_threshold(void);
void fm_seek_tune_rssi_threshold(void);
void fm_seek_freq_spacing(void);
void si4735freq(unsigned int iFreq);
void Scan(void);
unsigned int Fm_tune_status(void);
tRSQ Fm_rsq_status(void);
void Mono_Ctrl( unsigned char cButPush_Flag);
void Vol_Ctrl( unsigned char cVol);
void GPO_set(unsigned char cSetVal);
void wait_for_ready_CTS(void);


#endif


